Improper Output Neutralization for Logs Affecting microsoft.aspnetcore.authentication.jwtbearer package, versions [5.0.0, 5.0.9) [3.0.0, 3.1.18) [,2.1.19)


0.0
medium
  • Attack Complexity

    Low

  • Confidentiality

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-DOTNET-MICROSOFTASPNETCOREAUTHENTICATIONJWTBEARER-1540308

  • published

    11 Aug 2021

  • disclosed

    10 Aug 2021

  • credit

    Unknown

How to fix?

Upgrade Microsoft.AspNetCore.Authentication.JwtBearer to version 5.0.9, 3.1.18, 2.1.19 or higher.

Overview

Microsoft.AspNetCore.Authentication.JwtBearer is an ASP.NET Core middleware that enables an application to receive an OpenID Connect bearer token.

Affected versions of this package are vulnerable to Improper Output Neutralization for Logs. It adds JWT tokens into the logfile if those can't be parsed correctly.